/*
	gpio.c --- LED, switch HMI using GPIO port function
*/

#include <msp430.h>
#include <ti/mcu/msp430/Grace.h>

#include "user_define.h"


void led_1(BOOL on)
{
	if (on){
		P1OUT |= BIT0;	// LED1 On
	} else {
		P1OUT &= ~BIT0;	// LED1 Off
	}
}

void led_2(BOOL on)
{
	if (on){
		P1OUT |= BIT4;	// LED2 On
	} else {
		P1OUT &= ~BIT4;	// LED2 Off
	}
}

BOOL poll_sw1()
{
	return (P2IN & BIT2);
}

BOOL poll_rxd()
{
	return (P1IN & BIT5);
}
